package main

import (
	"fmt"
	"os"
)

func main() {
	if len(os.Args) != 2 {
		fmt.Println("sintassi: eterogramma <frase>")
	}

	var lettercount map[rune]int = make(map[rune]int)

	for _, v := range os.Args[1] {
		if v != ' ' {
			lettercount[v]++
		}
	}

	for _, v := range lettercount {
		if v != 1 {
			fmt.Println("Non è un eterogramma")
			return
		}
	}
	fmt.Println("È un eterogramma")
}
