package main

import (
	"fmt"
	"math/rand"
	"time"
)

func main() {
	var count, win int
	var latoMap = map[rune]int{'d': 0, 's': 1}

	rand.Seed(time.Now().UnixNano())

	for {
		var lato rune

		fmt.Println("Dove sto guardando?")
		fmt.Scanf("%c\n", &lato)

		if lato == '0' {
			fmt.Print("Vinto: ", 100*win/count, "% Perso: ", 100*(count-win)/count, "%\n")
			return
		}

		var cpu int = rand.Intn(2)

		if latoMap[lato] == cpu {
			fmt.Println("Giusto, hai vinto!")
			win++
		} else {
			fmt.Println("Sbagliato, hai perso!")
		}

		count++
	}
}
