package main

import (
	"fmt"
)

func main() {
	for {
		var word string
		fmt.Println("inserisci una parola")
		fmt.Scan(&word)

		if word == "0" {
			return
		}

		var lettercount map[rune]int = make(map[rune]int)

		var err bool = false
		for _, v := range word {
			if v < 'a' || v > 'z' {
				err = true
				break
			}

			switch v {
				case 'a', 'e', 'i', 'o', 'u':
					lettercount[v]++
			}
		}

		if err {
			fmt.Println("errore")
			continue
		}

		if len(lettercount) > 1 {
			fmt.Println("sbagliato")
			continue
		}
		
		for i, v := range lettercount {
			fmt.Printf("corretto %c %d\n", i, v)
		}
	}
}
